<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dfu__macro__commands" kind="group">
    <compoundname>group_dfu_macro_commands</compoundname>
    <title>DFU Commands</title>
      <sectiondef kind="define">
      <memberdef id="group__group__dfu__macro__commands_1gade4dad61ecfa46841e8c233414aef58d" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_ENTER</name>
        <initializer>(0x38u)</initializer>
        <briefdescription>
<para>DFU command: Enter DFU. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1032" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1032" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1gab810488eee0b2be140ac6d80d1497097" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_EXIT</name>
        <initializer>(0x3Bu)</initializer>
        <briefdescription>
<para>DFU command: Exit DFU. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1033" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1033" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1ga7e69153d520986ec83d57d7f43b4fd30" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_PROGRAM_DATA</name>
        <initializer>(0x49u)</initializer>
        <briefdescription>
<para>DFU command: Program Data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1034" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1034" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1ga339c291d89a191150b80818bcf4ee839" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_VERIFY_DATA</name>
        <initializer>(0x4Au)</initializer>
        <briefdescription>
<para>DFU command: Verify Data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1035" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1035" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1gafeae8b3b009e4cad8e7bb098fd43856a" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_ERASE_DATA</name>
        <initializer>(0x44u)</initializer>
        <briefdescription>
<para>DFU command: Erase Data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1036" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1036" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1gad917390699bec1874b2011e7be8ecddd" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_VERIFY_APP</name>
        <initializer>(0x31u)</initializer>
        <briefdescription>
<para>DFU command: Verify Application. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1037" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1037" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1ga210f6fadc9b1684177b1c7054a6002a6" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_SEND_DATA</name>
        <initializer>(0x37u)</initializer>
        <briefdescription>
<para>DFU command: Send Data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1038" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1038" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1ga5b40dd7762112cca355e6f9a9270b3f7" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_SEND_DATA_WR</name>
        <initializer>(0x47u)</initializer>
        <briefdescription>
<para>DFU command: Send Data without Response. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1039" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1039" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1ga43945ee3541dc8a39cbe631b72165c7e" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_SYNC</name>
        <initializer>(0x35u)</initializer>
        <briefdescription>
<para>DFU command: Sync DFU. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1040" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1040" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1gac36e608a3343309f5c0a80c806a654a0" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_SET_APP_META</name>
        <initializer>(0x4Cu)</initializer>
        <briefdescription>
<para>DFU command: Set Application Metadata. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1041" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1041" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1ga684f282c762894a5e4a785fc54dc65b1" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_GET_METADATA</name>
        <initializer>(0x3Cu)</initializer>
        <briefdescription>
<para>DFU command: Get Metadata. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1042" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1042" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__commands_1ga84d59b1fe91358caf8ae4cb4a50c12ea" kind="define" prot="public" static="no">
        <name>CY_DFU_CMD_SET_EIVECTOR</name>
        <initializer>(0x4Du)</initializer>
        <briefdescription>
<para>DFU command: Set EI Vector. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" bodystart="1043" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-dfu/cy_dfu.h" line="1043" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>